/**
 * 小程序端  企业入口  经营数据接口
 */

import * as asyncHandler from 'express-async-handler';
import { checkEnterpriseToken } from '../../middleware/user';
import * as businessDataBiz from '../../biz/mobileEnterprise/businessData';

export function setRouter(httpServer) {
    httpServer.post('/enterprise/businessdata/homepage', checkEnterpriseToken, asyncHandler(homePageBusinessData));
    /**可修改的经营数据 */
    httpServer.post('/enterprise/businessdata/', checkEnterpriseToken, asyncHandler(homePageBusinessData));
}


/**
 * 首页经营数据
 * @param req 
 * @param res 
 */
async function homePageBusinessData(req, res) {
    const Uscc = req.headers.uscc;
    let result = await businessDataBiz.getBusinessData(Uscc);
    res.success(result);
}